package com.elab.core.dao.model;

/**
 * 模糊匹配关键字
 *
 * @author ： liukx
 * @time ： 2020/4/20 - 16:22
 */
public class LikeSearch {

    private String field;

    private String value;

    private LikeSearch(Builder builder) {
        setField(builder.field);
        setValue(builder.value);
    }

    public static Builder newBuilder() {
        return new Builder();
    }

    public String getField() {
        return field;
    }

    public void setField(String field) {
        this.field = field;
    }

    public String getValue() {
        return value;
    }

    public void setValue(String value) {
        this.value = value;
    }


    public static final class Builder {
        private String field;
        private String value;

        private Builder() {
        }

        public Builder field(String val) {
            field = val;
            return this;
        }

        public Builder value(String val) {
            value = val;
            return this;
        }

        public LikeSearch build() {
            return new LikeSearch(this);
        }
    }
}
